<template>
    <div class="projects">
        <v-container class="my-5">
      <v-expansion-panels>
        <v-expansion-panel v-for="project in projects" :key="project.title" :title="project.title" :text="project.content">
         
          <v-card>
            <v-card-text class="px-4 text-grey">
              <div class="font-weight-bold">Due by {{ project.due }}</div>
            </v-card-text>
          </v-card>
        </v-expansion-panel>
      </v-expansion-panels>
    </v-container>
    </div>
</template>

<script setup lang="ts">
import { ref } from "vue";

let project_list: {}[] = [
  {
    title: "Design a new website",
    person: "Anna Anderson",
    due: "1st Jan 2019",
    status: "ongoing",
    content:
      "Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt consequuntur eos eligendi illum minima adipisci deleniti, dicta mollitia enim explicabo fugiat quidem ducimus praesentium voluptates porro molestias non sequi animi!",
  },
  {
    title: "Reboot Server",
    person: "Berta Bertson",
    due: "10th Jan 2019",
    status: "complete",
    content:
      "Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt consequuntur eos eligendi illum minima adipisci deleniti, dicta mollitia enim explicabo fugiat quidem ducimus praesentium voluptates porro molestias non sequi animi!",
  },
  {
    title: "Statistics report",
    person: "Caesar Czar",
    due: "20th Dec 2018",
    status: "complete",
    content:
      "Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt consequuntur eos eligendi illum minima adipisci deleniti, dicta mollitia enim explicabo fugiat quidem ducimus praesentium voluptates porro molestias non sequi animi!",
  },
  {
    title: "Narrow down error",
    person: "Duncan Devon",
    due: "20th Oct 2018",
    status: "overdue",
    content:
      "Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt consequuntur eos eligendi illum minima adipisci deleniti, dicta mollitia enim explicabo fugiat quidem ducimus praesentium voluptates porro molestias non sequi animi!",
  },
];

const projects = ref(project_list);

</script>

<style scoped>

</style>